# See: https://tonyfinn.com/blog/nix-from-first-principles-flake-edition/nix-8-flakes-and-developer-environments/
{
  inputs.nixpkgs.url = github:nixos/nixpkgs/nixos-unstable;
  outputs = { nixpkgs, ... }: let
    arch = "x86_64-linux";
    pkgs = import nixpkgs { system = arch; };
    elixir = pkgs.elixir_1_16;
  in with pkgs; {
    packages.${arch} = { default = elixir; };
    devShells.${arch}.default = mkShell {
      packages = [ elixir openssl inotify-tools nodejs yarn ];
    };
  };
}
